{% extends 'base.html.twig' %}

{% block title %}Harkay - Association qui lutte contre le traffic d'êtres humains {#todo changer le titre #}{% endblock %}
{% block description %}Nous luttons pour protéger les population autochtones du traffic d'êtres humains {#todo changer la description #}{% endblock %}
{% block facebook %}{% if general is defined and general|length > 0 %}{{ general.getFbLink() }}{% endif %}{% endblock %}
{% block twitter %}{% if general is defined and general|length > 0 %}{{ general.getTwtLink() }}{% endif %}{% endblock %}
{% block instagram %}{% if general is defined and general|length > 0 %}{{ general.getIgLink() }}{% endif %}{% endblock %}
{% block youtube %}{% if general is defined and general|length > 0 %}{{ general.getYtLink() }}{% endif %}{% endblock %}
{% block email %}{% if general is defined and general|length > 0 %}{{ general.getEmail() }}{% endif %}{% endblock %}
{% block phone %}{% if general is defined and general|length > 0 %}{{ general.getPhoneNumber() }}{% endif %}{% endblock %}
{% block city %}{% if general is defined and general|length > 0 %}{{ general.getCity() }}{% endif %}{% endblock %}
{% block zip %}{% if general is defined and general|length > 0 %}{{ general.getZipCode() }}{% endif %}{% endblock %}
{% block street %}{% if general is defined and general|length > 0 %}{{ general.getAddress() }}{% endif %}{% endblock %}
{% block address_country %}{% if general is defined and general|length > 0 %}{{ general.getCountry() }}{% endif %}{% endblock %}
{% block legal_name %}{% if general is defined and general|length > 0 %}{{ general.getLegalName() }}{% endif %}{% endblock %}
{% block siret %}{% if general is defined and general|length > 0 %}{{ general.getSiret() }}{% endif %}{% endblock %}
{% block donation %}{% if general is defined and general|length > 0 %}{{ general.getDonationLink() }}{% endif %}{% endblock %}

{% block body %}

    {# include('blocks/search.twig') #}

    <section class="section-articles">
        <div class="wrapper">
        <br><br><br><br>
            <h2>{{ 'missions.title'|trans }}</h2>
            <div class="articles">
                {% for mission in missions.items %}
                    <div>
                        <a href="{{ url('mission', {'id': mission.id}) }}">
                            <div class="img">
                                <img src="/images/placeholder.png" data-src="/uploads/img_article/{{ mission.image }}" alt="lorem">
                            </div>
                            <div class="content">
                                <h3>{{ mission.content.title }}</h3>
                                <p class="date">{{ mission.beginDate | date('d/m/Y') }}
                                    - {{ mission.endDate | date('d/m/Y') }}</p>
                                <p>{{ mission.content.shortContent }}</p>
                                <button class="btn blue"><span></span></button>
                            </div>
                        </a>
                    </div>
                {% endfor %}
            </div>

            {{ knp_pagination_render(missions) }}

        </div>
    </section>

{% endblock %}

{% block jsonLd %}

    <script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "BreadcrumbList",
			"itemListElement": [
				{
					"@type": "ListItem",
					"position": 1,
					"name": "Harkay",
					"item": "{{ url('home') }}"
				},
				{
					"@type": "ListItem",
					"position": 2,
					"name": "{{ 'missions.title_our_missions'|trans }}"
				}
			]
		}
	</script>

    <script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "CollectionPage",
            "name": "{{ 'missions.title_our_missions'|trans }}",
            "headline": "{{ 'missions.title_our_missions'|trans }}",
            "about": {
                "@type": "Organization",
				"name": "Harkay",
				"url": "{{ base_url }}",
				"logo": "{{ base_url }}/images/logo_harkay.png"
            },
            "mainEntity": {
            "@type": "ItemList",
                "itemListElement": [
                    {% for mission in missions.items %}
                        {
                            "@type": "BlogPosting",
                            "name": "{{ mission.content.title }}",
                            "headline": "{{ mission.content.title }}",
                            "description": "{{ mission.content.shortContent }}",
                            "url": "{{ url('mission', {'id': mission.id}) }}",
                            "dateCreated": "{{ mission.createdAt | date('Y-m-d') }}",
                            "dateModified": "{{ mission.lastUpdatedAt | date('Y-m-d') }}",
                            "datePublished": "{{ mission.createdAt | date('Y-m-d') }}",
                            "author": "Harkay",
                            "publisher": {
                                "@type": "Organization",
                                "name": "Harkay",
                                "url": "{{ base_url }}",
                                "logo": "{{ base_url }}/images/logo_harkay.png"
                            },
                            "mainEntityOfPage": "{{ base_url }}",
                            "image": "{{ base_url }}/uploads/img_article/{{ mission.image }}"
                        }{% if loop.last == false %},{% endif %}
                    {% endfor %}
                ]
            }
		}
	</script>

{% endblock %}
